org.apache.lucene.queryParser.surround.query

## Class BasicQueryFactory

- java.lang.Object
- - org.apache.lucene.queryParser.surround.query.BasicQueryFactory

-     public class BasicQueryFactory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicQueryFactory()`
    `BasicQueryFactory(int maxBasicQueries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxBasicQueries()`
    `int` | `getNrQueriesMade()`
    `SpanTermQuery` | `newSpanTermQuery(Term term)`
    `TermQuery` | `newTermQuery(Term term)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicQueryFactory

          public BasicQueryFactory(int maxBasicQueries)

    - #### BasicQueryFactory

          public BasicQueryFactory()

  - ### Method Detail

    - #### getNrQueriesMade

          public int getNrQueriesMade()

    - #### getMaxBasicQueries

          public int getMaxBasicQueries()

    - #### newTermQuery

          public TermQuery newTermQuery(Term term)
                                 throws TooManyBasicQueries

      Throws:
        `TooManyBasicQueries`

    - #### newSpanTermQuery

          public SpanTermQuery newSpanTermQuery(Term term)
                                         throws TooManyBasicQueries

      Throws:
        `TooManyBasicQueries`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.